package com.lz.modules.flow.model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* <p>
* </p>*考核指标库表
* @author quyixiao
* @since 2020-10-19
*/

@Data
@ApiModel(value = "考核指标库表Dto")
public class ResultTagetLibDto {
    //
    @ApiModelProperty(value = "", name = "id")
    private Long id;
    //指标名称
    @ApiModelProperty(value = "指标名称", name = "name")
    private String name;
    //考核维度ID，result_model。如果id为0表示为指标库数据，其他地方可选
    @ApiModelProperty(value = "考核维度ID，result_model。如果id为0表示为指标库数据，其他地方可选", name = "modelId")
    private Long modelId;
    //权重
    @ApiModelProperty(value = "权重", name = "weight")
    private BigDecimal weight;
    //考核标准，关键结果
    @ApiModelProperty(value = "考核标准，关键结果", name = "keyResult")
    private String keyResult;
    //排序
    @ApiModelProperty(value = "排序", name = "orderBy")
    private Integer orderBy;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 指标名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 指标名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 考核维度ID，result_model。如果id为0表示为指标库数据，其他地方可选 
     * @return
     */
    public Long getModelId() {
        return modelId;
    }
    /**
     * 考核维度ID，result_model。如果id为0表示为指标库数据，其他地方可选 
     * @param modelId
     */
    public void setModelId(Long modelId) {
        this.modelId = modelId;
    }

    /**
     * 权重 
     * @return
     */
    public BigDecimal getWeight() {
        return weight;
    }
    /**
     * 权重 
     * @param weight
     */
    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    /**
     * 考核标准，关键结果 
     * @return
     */
    public String getKeyResult() {
        return keyResult;
    }
    /**
     * 考核标准，关键结果 
     * @param keyResult
     */
    public void setKeyResult(String keyResult) {
        this.keyResult = keyResult;
    }

    /**
     * 排序 
     * @return
     */
    public Integer getOrderBy() {
        return orderBy;
    }
    /**
     * 排序 
     * @param orderBy
     */
    public void setOrderBy(Integer orderBy) {
        this.orderBy = orderBy;
    }

    @Override
    public String toString() {
        return "ResultTagetLib{" +
                ",id=" + id +
                ",name=" + name +
                ",modelId=" + modelId +
                ",weight=" + weight +
                ",keyResult=" + keyResult +
                ",orderBy=" + orderBy +
                "}";
    }
}